Downloads

  • all apps
  • mac apps
  • windows apps

Imposition Wizard for Acrobat

Version: 2.5.1

System requirements: Mac OS X 10.6+, Intel, 64 bits, Adobe Acrobat 9 or higher

Version: 2.5.1

System requirements: Adobe Acrobat 9 or higher, Windows XP or higher

Imposition Wizard Standalone

Version: 2.5

System requirements: Mac OS X 10.6+, Intel, 64 bits

Version: 1.9 (the last of the 1.XX series)

System requirements: Mac OS X 10.6+, Intel, 64 bits

Version: 1.8.2 (Leopard support)

System requirements: Mac OS X 10.5, Intel or PPC (Universal binary), 32 bits

Version: 1.6.1 (Tiger support)

System requirements: Mac OS X 10.4, Intel or PPC (Universal binary)

Coverage

Version: 1.0

System requirements: Mac OS X 10.6 or higher, Intel, 64 bits